.m-start-test-screen {
  height: 100%;
  width: 100%;
  background-image: url('/images/backgrounds/test-background.png');
  background-size: 100% 100%;

  &__container {
    display: flex;
    justify-content: center;
    align-items: center;
    .header {
      display: flex;
      background-color: #cee6ff;
      padding: 1rem 6rem 1rem 1.6rem;
      margin-top: 3rem;
      align-items: center;
      border-radius: 1.6rem;
      .img-book {
        width: 3.2rem;
        height: 4.2rem;
      }
      .test-name {
        padding-left: 1.6rem;
        .test-title {
          font-size: 2rem;
          font-weight: 600 !important;
          color: #4b4a5c;
          font-family: 'mont_sb';
          text-transform: uppercase;
        }
        .test-time {
          font-size: 1.6rem;
          font-weight: 500 !important;
          color: #4b4a5c;
          font-family: 'mont_m';
        }
      }
    }
  }
  .body {
    display: flex;
    height: calc(100% - 9.3rem);
    .left {
      width: 50%;
      justify-content: center;
      align-items: center;
      display: flex;
      padding: 1rem 1.6rem 1rem 6rem;
      .img-start{
        max-width: 100%;
      }
    }
    .right {
      width: 50%;
      padding: 1rem 6rem 1rem 1.6rem;
      justify-content: flex-start;
      align-items: center;
      display: flex;
      .form-group {
        position: relative;
        padding: 3rem 2rem 4rem 2rem;
        background-color: #ffffff;
        border-radius: 1.2rem;
        min-width: 30rem;
        max-width: 44rem;
        width: 100%;

        &.unit-test{
          display: flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;
          gap: 20px;

          .instruction{
            color: #EF4E2B;
          }

        }
        &.expired{
          display: flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;
          gap: 20px;
          .instruction{
            color: #52888B;
          }
        }
        .instruction {
          font-size: 2.4rem;
          line-height: 2.9rem;
          color: #4b4a5c;
          font-family: 'mont_m';
          text-align: center;
        }
        .des{
          font-size: 2.2rem;
          line-height: 2.9rem;
          color: #4b4a5c;
          font-family: 'mont_m';
          text-align: center;
        }
        .form-field {
          margin-top: 1.4rem;
          .field-label {
            font-size: 1.6rem;
            line-height: 1.9rem;
            color: #4b4a5c;
            font-family: 'mont_m';
          }
          .field-error {
            margin-top: 0.4rem;
            color: #ff7f74;
            font-size: 1.2rem;
          }
          input {
            background-color: #f3f8fd;
          }
          input::placeholder {
            color: #97bee5;
            opacity: 1; /* Firefox */
          }

          input:-ms-input-placeholder {
            /* Internet Explorer 10-11 */
            color: #97bee5;
          }

          input::-ms-input-placeholder {
            /* Microsoft Edge */
            color: #97bee5;
          }
        }
        .form-button {
          padding-top: 2rem;
          display: flex;
          justify-content: center;
          align-items: center;
          .submit-btn {
            background: linear-gradient(#0eb1ff, #0e6cff);
            padding: 1.2rem 4rem;
            border-radius: 1.6rem;
            font-weight: 600 !important;
          }
        }
        .bottom-gradient {
          width: 100%;
          height: 1.2rem;
          background: linear-gradient(-90deg, $aqua, $dodgerBlue);
          border-radius: 0 0 1.2rem 1.2rem;
          content: '';
          pointer-events: none;
          position: absolute;
          bottom: 0;
          left: 0;
        }
      }
    }
  }
}

@include screen-767-portrait {
  .m-start-test-screen {
    min-height: 75rem !important;
    &__container {
      .header {
        display: flex;
        background-color: rgba(206, 230, 255, 0.4);
        margin-top: 3rem;
        align-items: center;
        border-radius: 1.6rem;
        width: 100%;
        margin: 1rem 2rem;
        justify-content: center;
        padding: 1.5rem;
        .img-book {
          width: 2rem;
          height: 3rem;
        }
        .test-name {
          padding-left: 1.2rem;
          .test-title {
            font-size: 1.4rem;
            font-weight: 'mont_b';
          }
          .test-time {
            margin-top: 0.5rem;
            font-size: 1.4rem;
          }
        }
      }
    }
    .body {
      height: unset;
      flex-direction: column;
      .left {
        width: 100%;
        .img-start {
          width: 70%;
        }
      }
      .right {
        width: 100%;
        justify-content: center;
        padding: 1rem 5rem 3rem 5rem;
        .form-group {
          .instruction {
            font-size: 1.6rem;
          }
          .des{
            font-size: 1.4rem;
          }
          .form-field {
            .field-label {
              font-size: 1.4rem;
            }
          }
          .form-button {
            .submit-btn {
              padding: 1rem 3rem;
              font-size: 1.2rem;
            }
          }
        }
      }
    }
  }
}
@media screen and (max-width: 319px) and (max-aspect-ratio:3999/3000) {
  .m-start-test-screen {
    min-height: 75rem !important;
    &__container {
      .header {
        display: flex;
        background-color: rgba(206, 230, 255, 0.4);
        margin-top: 3rem;
        align-items: center;
        border-radius: 1.6rem;
        width: 100%;
        margin: 1rem 2rem;
        justify-content: center;
        padding: 1.5rem;
        .img-book {
          width: 2rem;
          height: 3rem;
        }
        .test-name {
          padding-left: 1.2rem;
          .test-title {
            font-size: 1.4rem;
            font-weight: 'mont_b';
          }
          .test-time {
            margin-top: 0.5rem;
            font-size: 1.4rem;
          }
        }
      }
    }
    .body {
      height: unset;
      flex-direction: column;
      .left {
        width: 100%;
        .img-start {
          width: 70%;
        }
      }
      .right {
        width: 100%;
        justify-content: center;
        padding: 1rem 0.2rem 3rem 0.2rem;
        

        .form-group {
          min-width: unset;
          .instruction {
            font-size: 1.4rem;
          }
          .des{
            font-size: 1.2rem;
          }
          .form-field {
            .field-label {
              font-size: 1.2rem;
            }
          }
          .form-button {
            .submit-btn {
              padding: 1rem 3rem;
              font-size: 1.2rem;
            }
          }
        }
      }
    }
  }
}
// @media screen and (max-width: 767px) and (orientation: landscape) {
//   .m-start-test-screen {
//     height: 100%;
//     &__container {
//       .header {
//         display: flex;
//         background-color: rgba(206, 230, 255, 0.4);
//         margin-top: 3rem;
//         align-items: center;
//         border-radius: 1.6rem;
//         width: 100%;
//         margin: 1rem 2rem;
//         justify-content: center;
//         padding: 1.5rem;
//         .img-book {
//           width: 2rem;
//           height: 3rem;
//         }
//         .test-name {
//           padding-left: 1.2rem;
//           .test-title {
//             font-size: 1.2rem;
//             font-weight: 'mont_b';
//           }
//           .test-time {
//             margin-top: 0.5rem;
//             font-size: 1.2rem;
//           }
//         }
//       }
//     }
//     .body {
//       height: unset;
//       flex-direction: column;
//       .left {
//         width: 100%;
//         .img-start {
//           width: 70%;
//         }
//       }
//       .right {
//         width: 100%;
//         justify-content: center;
//         padding: 1rem 5rem 3rem 5rem;
//         .form-group {
//           .instruction {
//             font-size: 1.2rem;
//           }
//           .form-field {
//             .field-label {
//               font-size: 1rem;
//             }
//           }
//           .form-button {
//             .submit-btn {
//               padding: 1rem 3rem;
//               font-size: 1rem;
//             }
//           }
//         }
//       }
//     }
//   }
// }

@include screen-768-1024-portrait {
  .m-start-test-screen {
    height: 100% !important;
    .body {
      height: unset;
      flex-direction: column;
      .left {
        width: 100%;
        .img-start {
          width: 60%;
        }
      }
      .right {
        width: 100%;
        justify-content: center;
        padding: 1rem 2rem 3rem 2rem;
        .form-group {
          .instruction {
            font-size: 2rem;
          }
          .des{
            font-size: 1.8rem;
          }
          .form-field {
            .field-label {
              font-size: 1.4rem;
            }
          }
          .form-button {
            .submit-btn {
              padding: 1.2rem 3.4rem;
              font-size: 1.6rem;
            }
          }
        }
      }
    }
  }
}

// @media screen and (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
//   .m-start-test-screen {
//     height: 100%;
//     .body {
//       height: unset;
//       flex-direction: column;
//       .left {
//         width: 100%;
//         .img-start {
//           width: 60%;
//         }
//       }
//       .right {
//         width: 100%;
//         justify-content: center;
//         padding: 1rem 2rem 3rem 2rem;
//         .form-group {
//           .instruction {
//             font-size: 2rem;
//           }
//           .form-field {
//             .field-label {
//               font-size: 1.4rem;
//             }
//           }
//           .form-button {
//             .submit-btn {
//               padding: 1.2rem 3.4rem;
//               font-size: 1.6rem;
//             }
//           }
//         }
//       }
//     }
//   }
// }
@include screen-1080-landscape{
  .m-start-test-screen {
    height: 100%;
    &__container {
      display: flex;
      justify-content: center;
      align-items: center;
    }
    .body {
      height: calc(100vh - 7.3rem);
      .left {
        width: 50%;
        img{
          max-width: 100%;
          max-height: 100%;
        }
      }
  }
  
}
}
@include screen-960-landscape{
  .m-start-test-screen {
    height: 100%;
    min-height: 330px;
    &__container {
      display: flex;
      justify-content: center;
      align-items: center;
      .header {
        display: flex;
        background-color: #cee6ff;
        padding: 1rem 6rem 1rem 1.6rem;
        margin-top: 0.6rem;
        align-items: center;
        border-radius: 1rem;
        .img-book {
          width: 2.4rem;
          height: 3rem;
        }
        .test-name {
          padding-left: 1.6rem;
          .test-title {
            font-size: 1.6rem;
            font-weight: 600 !important;
            color: #4b4a5c;
            font-family: 'mont_sb';
            text-transform: uppercase;
          }
          .test-time {
            font-size: 1.2rem;
            font-weight: 500 !important;
            color: #4b4a5c;
            font-family: 'mont_m';
          }
        }
      }
    }
    .body {
      margin-top: 1rem;
      display: flex;
      height: calc(100% - 8rem);
      .left {
        width: 44%;
        justify-content: center;
        align-items: center;
        display: flex;
        img{
          max-height: 95%;
          max-width: 95%;
        }
      }
      .right {
        height: 100%;
        width: 56%;
        padding: 1rem 3rem 1rem 3rem;
        justify-content: flex-start;
        align-items: center;
        display: flex;
        .form-group {
          position: relative;
          padding: 1.5rem 1rem 1.5rem 1rem;
          background-color: #ffffff;
          border-radius: 1.2rem;
          min-width: 30rem;
          max-width: 44rem;
          .instruction {
            font-size: 1.6rem;
            line-height: 1.6rem;
            color: #4b4a5c;
            font-family: 'mont_m';
          }
          .des{
            font-size: 1.4rem;
          }
          .form-field {
            margin-top: 0.6rem;
            input{
              padding: 0.4rem 1rem;
              font-size: 1.4rem;
            }
            .field-label {
              font-size: 1.2rem;
              line-height: 1.2rem;
              color: #4b4a5c;
              font-family: 'mont_m';
            }
            .field-error {
              margin-top: 0.4rem;
              color: #ff7f74;
              font-size: 1rem;
            }
            .form-error-message{
              font-size: 1rem;
            }
          }
          .form-button {
            padding-top: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            .submit-btn {
              background: linear-gradient(#0eb1ff, #0e6cff);
              border-radius: 1.6rem;
              border-radius: 1.6rem;
              font-weight: 600 !important;
              padding: 1rem 4rem;
            }
          }
        }
      }
    }
  }
}
@include screen-768-landscape{
  .m-start-test-screen {
    height: 100%;
    &__container {
      display: flex;
      justify-content: center;
      align-items: center;
      .header {
        display: flex;
        background-color: #cee6ff;
        padding: 1rem 6rem 1rem 1.6rem;
        margin-top: 1rem;
        align-items: center;
        border-radius: 1rem;
        .img-book {
          width: 2.4rem;
          height: 3rem;
        }
        .test-name {
          padding-left: 1.6rem;
          .test-title {
            font-size: 1.6rem;
            font-weight: 600 !important;
            color: #4b4a5c;
            font-family: 'mont_sb';
            text-transform: uppercase;
          }
          .test-time {
            font-size: 1.2rem;
            font-weight: 500 !important;
            color: #4b4a5c;
            font-family: 'mont_m';
          }
        }
      }
    }
    .body {
      margin-top: 1rem;
      display: flex;
      height: calc(100% - 7.3rem);
      .left {
        width: 40%;
        justify-content: center;
        align-items: center;
        display: flex;
        img{
          max-height: 95%;
          max-width: 95%;
        }
      }
      .right {
        height: 100%;
        width: 65%;
        padding: 1rem 2rem 1rem 2rem;
        justify-content: flex-start;
        align-items: center;
        display: flex;
        .form-group {
          position: relative;
          padding: 1.5rem 1rem 1.5rem 1rem;
          background-color: #ffffff;
          border-radius: 1.2rem;
          min-width: 30rem;
          max-width: 44rem;
          .instruction {
            font-size: 1.4rem;
            line-height: 1.4rem;
            color: #4b4a5c;
            font-family: 'mont_m';
          }
          .des{
            font-size: 1.2rem;
          }
          .form-field {
            margin-top: 0;
            .field-label {
              font-size: 1rem;
              line-height: 1.2rem;
              color: #4b4a5c;
              font-family: 'mont_m';
            }
            .field-error {
              margin-top: 0.4rem;
              color: #ff7f74;
              font-size: 1rem;
            }
          }
          .form-button {
            padding-top: 1rem;
            display: flex;
            justify-content: center;
            align-items: center;
            .submit-btn {
              font-size: 1.4rem !important;
              background: linear-gradient(#0eb1ff, #0e6cff);
              border-radius: 1.6rem;
              border-radius: 1.6rem;
              font-weight: 600 !important;
            }
          }
        }
      }
    }
  }
}
@media  only screen and (max-height:319px) and (min-aspect-ratio:4/3)  {
  .m-start-test-screen {
    height: 100%;
    &__container {
      display: flex;
      justify-content: center;
      align-items: center;
      .header {
        display: flex;
        background-color: #cee6ff;
        padding: 1rem 6rem 1rem 1.6rem;
        margin-top: 1rem;
        align-items: center;
        border-radius: 1rem;
        .img-book {
          width: 2rem;
          height: 2.8rem;
        }
        .test-name {
          padding-left: 1.6rem;
          .test-title {
            font-size: 1.2rem;
            font-weight: 600 !important;
            color: #4b4a5c;
            font-family: 'mont_sb';
            text-transform: uppercase;
          }
          .test-time {
            font-size: 1.1rem;
            font-weight: 500 !important;
            color: #4b4a5c;
            font-family: 'mont_m';
          }
        }
      }
    }
    .body {
      margin-top: 0.6rem;
      display: flex;
      height: calc(100% - 7.3rem);
      .left {
        width: 40%;
        justify-content: center;
        align-items: center;
        display: flex;
        img{
          max-height: 95%;
          max-width: 95%;
        }
      }
      .right {
        height: 100%;
        width: 65%;
        padding: 0.6rem 2rem 0.6rem 2rem;
        justify-content: flex-start;
        align-items: center;
        display: flex;
        .form-group {
          position: relative;
          padding: 0.6rem 1rem 1.6rem 1rem;
          background-color: #ffffff;
          border-radius: 1.2rem;
          min-width: 30rem;
          max-width: 44rem;
          .instruction {
            font-size: 1.1rem;
            line-height: 1.1rem;
            color: #4b4a5c;
            font-family: 'mont_m';
          }
          .des{
            font-size: 1rem;
          }
          .form-field {
            margin-top: 0;
            input{
              padding: 0.3rem 1rem;
              font-size: 1.1rem;
            }
            .field-label {
              font-size: 0.9rem;
              line-height: 1.2rem;
              color: #4b4a5c;
              font-family: 'mont_m';
            }
            .field-error {
              margin-top: 0.4rem;
              color: #ff7f74;
              font-size: 0.9rem;
            }
            .form-error-message{
              font-size: 0.9rem;
            }
          }
          .form-button {
            padding-top: 0.3rem;
            display: flex;
            justify-content: center;
            align-items: center;
            .submit-btn {
              font-size: 1.1rem !important;
              background: linear-gradient(#0eb1ff, #0e6cff);
              border-radius: 1.6rem;
              border-radius: 1.6rem;
              font-weight: 600 !important;
              padding: 0.6rem 3rem;
            }
          }
        }
      }
    }
  }
}

@media screen and (max-height: 360px) and(max-aspect-ratio:3999/3000) {
  .m-start-test-screen {
    &__container {
      display: flex;
      justify-content: center;
      align-items: center;
      .header {
        display: flex;
        background-color: #cee6ff;
        padding: 0.6rem 4rem 0.6rem 1.6rem;
        margin-top: 1rem;
        align-items: center;
        border-radius: 1rem;
        .img-book {
          width: 2rem;
          height: 2.8rem;
        }
        .test-name {
          padding-left: 1.6rem;
          .test-title {
            font-size: 1.4rem;
            font-weight: 600 !important;
            color: #4b4a5c;
            font-family: 'mont_sb';
            text-transform: uppercase;
          }
          .test-time {
            font-size: 1rem;
            font-weight: 500 !important;
            color: #4b4a5c;
            font-family: 'mont_m';
          }
        }
      }
    }
    .body {
      margin-top: 1rem;
      display: flex;
      height: calc(100% - 7.3rem);
      .left {
        width: 40%;
        justify-content: center;
        align-items: center;
        display: flex;
        img{
          max-height: 95%;
          max-width: 95%;
        }
      }
      .right {
        height: 100%;
        width: 65%;
        padding: 1rem 2rem 1rem 2rem;
        justify-content: flex-start;
        align-items: center;
        display: flex;
        .form-group {
          position: relative;
          padding: 1.5rem 1rem 1.5rem 1rem;
          background-color: #ffffff;
          border-radius: 1.2rem;
          min-width: 30rem;
          max-width: 44rem;
          .instruction {
            font-size: 1.4rem;
            line-height: 1.4rem;
            color: #4b4a5c;
            font-family: 'mont_m';
          }
          .des{
            font-size: 1.2rem;
          }
          .form-field {
            margin-top: 0;
            .field-label {
              font-size: 1rem;
              line-height: 1rem;
              color: #4b4a5c;
              font-family: 'mont_m';
            }
            .field-error {
              margin-top: 0.4rem;
              color: #ff7f74;
              font-size: 1rem;
            }
          }
          .form-button {
            padding-top: 1rem;
            display: flex;
            justify-content: center;
            align-items: center;
            .submit-btn {
              font-size: 1rem !important;
              background: linear-gradient(#0eb1ff, #0e6cff);
              border-radius: 1.6rem;
              border-radius: 1.6rem;
              font-weight: 600 !important;
            }
          }
        }
      }
    }
    
  }
}